SSLの仕様

2015 年 6 月 12 日

ホーム フォーラム 使い方全般 SSLの仕様

このトピックには10件の返信が含まれ、2人の参加者がいます。2 年、 5 ヶ月前 yskysmr さんが最後の更新を行いました。

11件の投稿を表示中 - 1 - 11件目 (全11件中)
  • 投稿者
    投稿
  • #74461

    tom
    参加者

    WordPress のバージョン:4.2.2
    Welcart のバージョン:1.4.15
    ご利用のテーマ:welthema minimumバージョン: 1.7
    症状を確認したブラウザ:firefox38.05
    サーバー(会社名、サービス名):さくらインターネット
    SSLの利用:なし 
    WordPress のパーマリンク設定:/%postname%/

    現在さくらインターネットを使用しているのですが、SSLを有効にするとカート画面で、配送方法と配送日設定が固定されてしまって入力が出来ない状態です、SSLを無効にするとこの減少は解消します、共用SSLのためSSLで開くページは独自ドメインではなく、さくらインターネットの初期ドメインになりますが、これが原因のようです。解決法もしくはこの設定では動作しないということなのかを教えてください。

    #74466

    yskysmr
    キーマスター

    「配送方法と配送日設定が固定されてしまって入力が出来ない状態」というのは、どういう状態なのでしょうか。もう少し詳しく教えていただけますでしょうか。
    この症状は、パソコンで確認されたのでしょうか。スマホもしくはタブレットでしょうか。

    #74472

    tom
    参加者

    PCのfirefoxで確認しました。

    配達日と配達時間のフォームが短くなっていてプルダウンができない状態です。

    #74477

    yskysmr
    キーマスター

    JavaScript のエラーが出ていると思われますが、ブラウザのデベロッパーツールなどで確認できますでしょうか。
    この場合、他のプラグインとコンフリクトを起こしている可能性が高いです。JavaScript のエラーが確認できれば、どのプラグインがエラーを出しているかが分かります。
    Welcart 以外のプラグインを停止してみてください。

    #74508

    tom
    参加者

    SSLを使わない設定では正常に動くのです。

    ホーム画面:http://cybrid.biz
    カート画面:http://cybrid.biz/usces-cart/

    この設定では正常に動きます。

    ところがWelcartの設定でSSLを使用するにすると、

    ホーム画面:http://cybrid.biz
    カート画面:https://denki-dou.sakura.ne.jp/usces-cart/

    となって問題の現象が起こります。

    ホスティングの会社の都合でSSLのドメイン名をdenki-dou.sakura.ne.jpにしなければならないのが原因ではないかとおもっているのですが、どうでしょう?

    #74510

    yskysmr
    キーマスター

    tom 様

    SSL を使わないときに正常に動作するのは分かるのですが、SSL を使う設定にしたとき、どういうエラーになるかが知りたいのです。ドメイン名は、間違いなければ問題ありません。
    「WordPress HTTPS」等のプラグインはご利用になっていますでしょうか。

    #74511

    tom
    参加者

    キーマスターさま
    WordPress HTTPSは使っていません。

    現在使っているプラグインは
    Welcart e-Commerce
    以外に
    Akismet
    Contact Form 7
    Hi-Counter-Max
    Image Uploader for Welcart
    NewStatPress
    Ultimate Maintenance Mode
    WP Multibyte Patch
    になります。

    #74517

    yskysmr
    キーマスター

    tom 様

    では、SSL を使用する設定にしていただいて、他のプラグインを止め、テーマを Welcart Default Theme にしてお試しいただけますでしょうか。

    ちなみにですが、PHP のバージョンはいくつをご利用でしょうか。

    #74518

    tom
    参加者

    キーマスター様

    エラー画面

    見られるといいのですが、上記の画像のようになります。

    プラグインはwelcart以外すべて無効にしてテーマをデフォルトにしたところうまくいきました。
    原因は何でしょう?

    #74519

    tom
    参加者

    PHPのバージョンは5.4.40でした。

    #74520

    yskysmr
    キーマスター

    tom 様

    プラグインはwelcart以外すべて無効にしてテーマをデフォルトにしたところうまくいきました。

    とのことですので、原因は他のプラグインとのコンフリクトか、テーマにあると考えられます。

    プラグインをひとつひとつ有効化し、プラグインを特定してみてください。プラグインを全て停止して、現在のテーマでエラーが出るようでしたら、テーマが原因ということになります。

    サイトを見せていただきました。カートページ以降で、jQuery のエラーが発生しています。いずれかのプラグインが、HTTPS に対応していないスクリプトを使っているのではないでしょうか。

    • この返信は2 年、 5 ヶ月前に  yskysmr さんが編集しました。
11件の投稿を表示中 - 1 - 11件目 (全11件中)

このトピックに返信するにはログインが必要です。